#pragma once
#include <windows.h>


class AL4_alien_windows
{
public:
    static std::string Get_window_text(HWND hWnd);
    
    static ArrayInt* handles;
    static BOOL CALLBACK Filter_desktop(HWND hWnd, LPARAM lParam);
    static void List_desktop(ArrayInt* List, bool Visible);
    
    static std::string Get_window_class(HWND hWnd);
    static void Get_loc(HWND hWnd, ArrayInt* Coord);
    
    static BOOL CALLBACK Filter_child(HWND hWnd, LPARAM lParam);
    static void List_child_windows(HWND hWnd, ArrayInt* List);

};
